Name: oranavi
Version: 10.1
Release: 16AX
Source0: oranavi-%{PACKAGE_VERSION}.tar.gz
Summary: oranavi (Install Navigator for Oracle)
CopyRight: COMMERCIAL
Group: System Environment/Base
BuildRoot: /var/tmp/oranavi-%{PACKAGE_VERSION}-root
Requires: sed,gawk,perl,chkconfig
PreReq: webclient
NoSource: 0


%description
Install Navigator for Oracle (abbreviated-name oranavi) is GUI tool which 
installs Oracle simply. 
Moreover, automatic startup/shutdown of Oracle database can be set up easily. 


%description -l ja
Install Navigator for Oracle (ά oranavi)  Oracle ʤñ
󥹥ȡ뤹 GUI ġǤ
ޤ Oracle ǡ١μưư/ߤñꤹ뤳ȤǤޤ

%prep
%setup -q

%build
./configure --prefix=/usr --target=%{_arch}
make

%install
rm -fr $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applnk/Settings
#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applnk/Oracle
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/desktop-links
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/oranavi
install -m644 gnome/oranavi.desktop $RPM_BUILD_ROOT/%{_datadir}/applnk/Settings
#install -m644 gnome/oranavidoc.desktop $RPM_BUILD_ROOT/%{_datadir}/applnk/Settings
#install -m644 gnome/oracle/*.desktop $RPM_BUILD_ROOT/%{_datadir}/applnk/Oracle
install -m755 gnome/oranavi-install.sh $RPM_BUILD_ROOT/%{_libdir}/desktop-links/
install -m644 gnome/oranavi.png $RPM_BUILD_ROOT/usr/share/pixmaps/oranavi/
install -m644 gnome/first.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/oranavi/
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 dbora $RPM_BUILD_ROOT/etc/rc.d/init.d/dbora

%clean
rm -fr $RPM_BUILD_ROOT

%post

%preun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/dbora ]; then
        /etc/rc.d/init.d/dbora stop >& 2
    fi
    /sbin/chkconfig --del dbora
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/sbin/*
/usr/share/oranavi/doc/*
/usr/share/oranavi/doc/*/*/*
/usr/share/pixmaps/oranavi/*
/usr/share/locale/*/LC_MESSAGES/*
%{_libdir}/desktop-links/*
%{_datadir}/applnk/Settings/*
#%{_datadir}/applnk/Oracle/*
%config /etc/rc.d/init.d/dbora


%changelog
* Mon Dec 19 2005 Hwanii Jung <shjung@haansoft.com> 10.1-16AX
- added korean po file

* Mon Nov 28 2005 Shiro Yamada <shiro@miraclelinux.com> 10.1-15AX
- add Korean support

* Tue Dec 14 2004 Shiro Yamada <shiro@miraclelinux.com> 10.1-14AX
- modified documents for i386, because there is a change in the
  default value of $ORACLE_HOME

* Fri Dec  3 2004 Shiro Yamada <shiro@miraclelinux.com> 10.1-13AX
- updated documents for Oracle10g for x86-64

* Thu Oct 28 2004 Shiro Yamada <shiro@miraclelinux.com> 10.1-12AX
- fixed SIGTERM problem when fixing dbstart script
- modified document for x86_64

* Wed Oct 20 2004 Shiro Yamada <shiro@miraclelinux.com> 10.1-11AX
- merge in the documents for i386, ia64 and x86_64.

* Fri Jul 23 2004 Shiro Yamada <shiro@miraclelinux.com> 10.1-9AX
- make it work with Oracle 10g AS DVD-ROM.
- replaced "CD-ROM" menu with "CD-ROM / DVD-ROM"

* Wed Jul 21 2004 Shiro Yamada <shiro@miraclelinux.com> 10.1-8AX
- do not unset ORACLE_HOME when installing Oracle 10g DB R1
- support installation from DVD-media when installing 10g DB.
- support client/companion CD installation

* Thu May 21 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 10.1-7AX
-  fix bug.   can't start OUI of 9.0.4. 

* Thu May 21 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 10.1-6AX
-  modify LANG when run OUI in China.
-  modify 9.2.0 document. add support 9.2.0.4.
-  modify 9.0.4 document. add restrictions.
-
* Sat Apr 24 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 10.1-5AX
-  add Chinese Documents
-  modify default NLS_LANG
-
* Wed Mar 26 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 10.1-3AX
-  add English Documents.
-
* Wed Mar 25 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 10.1-2AX
-  add support Oracle Database 10g Release 1(10.1.0)
-  add support Oracle Application Server 10g(9.0.4)
-  
* Fri Apr 11 2003 Seiichi Yamada <syamada@miraclelinux.com>
- 9.0.1-30ml
- modify ulimit
-
* Wed Dec 02 2002 Seiichi Yamada <syamada@miraclelinux.com>
- 9.0.1-28ml
- modify docs Oracle9i DB R2 and Oracle9iAS R2
- modify environment variable and kernel parameter
-        add 'ulimit -n 65536' to .bash_profile
-        add FILE-MAX(nofile) to /etc/security/limits.conf
- modify $ORACLE_HOME/bin/dbstart for SPFILE
- modify comment entry of gnome/oranavi.desktop
- modify dbora typo
- modify auto mount procedure for RHAS. 

* Fri Jun 28 2002 Seiichi Yamada <syamada@miraclelinux.com>
- 9.0.1-24ml
- modify the install guide for Oracle
- modify $CLASSPATH
- modify require section of specfile. only webclient.  
- for Red Hat Linux Advanced Server 2.1(httpd.bootopt, mozilla, icon,etc)
- for Oracle9i Database R2(9.2), Oracle9i Application Server R2(9.0.2)

* Thu Feb 14 2002 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-22ml
- modify the value of the environment variable $PATH for oracle user

* Fri Sep 28 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-20ml
- modify comment entry of gnome/oranavi.desktop
- modify checking java for 8.1.7 

* Thu Sep 27 2001 Katuichi Natori <Katuichi-Natori@miraclelinux.com>
- 9.0.1-18ml
- modify the install guide for oracle

* Fri Sep 21 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-16ml
- modify $LD_LIBRARY_PATH and $CLASSPATH for oracle user
- modify the install guide for oracle

* Tue Sep 14 2001 Katsuichi Natori <Katsuichi-Natori@miraclelinux.com>
- 9.0.1-14ml
- modify docs/index.html in 'Beta' comment out

* Tue Sep 11 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-12ml
- modify dbora
- modify dbshut for 9i if needed

* Wed Sep 05 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-10ml
- add comment to gnome/oracle/*.desktop

* Tue Sep 04 2001 Tatsuo Ito <tito@miraclelinux.com>
- change the environment name: CLASS_PATH -> CLASSPATH
- add Oracle tools into Gnome menu

* Thu Aug 30 2001 Tatsuo Ito <tito@miraclelinux.com>
- add exception process for invoking oui
- modify gnome/oranavi.png

* Wed Aug 29 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-8ml
- For iAS

* Wed Aug 29 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-6ml
- modify the process of auto startup/shutdown for 9iDB

* Tue Aug 28 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-4ml
- For 2.4 kernel and 8iDB

* Tue Aug 28 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-3
- modify Makefile to keep gif data in doc directory
- modify doc/{8,9}idb_inst.html

* Fri Aug 24 2001 Tatsuo Ito <tito@miraclelinux.com>
- 9.0.1-2
- first release for Oracle 9i DB, ver 9.0.1.0.0

* Tue Mar 13 2001 Tatsuo Ito <tito@miraclelinux.com>
- 8.1.7-4
- add new online manual for 8.1.7

* Tue Mar 13 2001 Tatsuo Ito <tito@miraclelinux.com>
- 8.1.7-3
- change the statements written into .bashrc.
- modify Icon line on oranavidoc.desktop: oranavi.png -> oranavi/oranavi.png
- set default vaule, American_America.JA16EUC, into szEnv_NLS_LANG_.
- For 8.1.7's $ORACLE_HOME/root.sh : execute ln -s /bin/sed /usr/local/bin/sed 
- enable general users (not root) to start oranavi from GNOME menu;
  But error dialog is displayed.
- Return dialog, if the version of oracle is not supported by oranavi. 

* Mon Mar 05 2001 Tatsuo Ito <tito@miraclelinux.com>
- 8.1.7-2
- change default home directory for oracle: /u01/app/oracle -> /home/oracle 
- modify dbora

* Fri Mar 02 2001 Tatsuo Ito <tito@miraclelilnux.com>
- 8.1.7-1
- first release for oracle 8.1.7 
